class CatalogueController < ApplicationController

  before_filter :authenticate

  def show
    @layout, @structure = Catalogue.structure
    if session[:cart] == nil
      session[:cart] ||= {}
    end
    
    if params[:id] != nil
      area = params[:id]
      @result, @items = Catalogue.items(area)
      @result, @description = Catalogue.areadescription(area, "0000000000")
    end
  end

  def add
    product_id = params[:id]
    
    session[:cart][product_id] = 
      session[:cart].include?(product_id) ?  
      session[:cart][product_id]+1 : 1
  
    render :partial => 'cart'
  end
  
  def remove
    product_id = params[:id].split("_")[1]
    
    if session[:cart][product_id] > 1 
      session[:cart][product_id] = session[:cart][product_id]-1
    else
      session[:cart].delete(product_id)
    end
    
    render :partial => 'cart'
  end
  
  def order
    @order = params[:list]
  end
end
