class UserController < ApplicationController
  before_filter :authenticate, :only => ["change_password", "update_password", "welcome"]

  def login
  end

  def auth
		# RAILS_DEFAULT_LOGGER.warn("[User_auth] " + params[:user][:login])
    info = User.authenticate(params[:user][:login], params[:user][:password])
    if info != nil
      session[:user_emp_num] = info[:emp_num]
      session[:customer_num] = info[:customer_num]
      flash[:notice] = "Login successful"
      redirect_to :action => "welcome", :customer_num => info[:customer_num]
    else
      flash[:notice] = "Login not successful"
      redirect_to :action => "login"
    end
  end

  def change_password

  end

  def update_password
    if User.change_password(session[:user_emp_num], params[:user])
      flash[:notice] = "Password change successful"
      redirect_to :action => "welcome"
    else
      flash[:notice] = "Password change unsuccessful"
      redirect_to :action => "change_password"
    end
  end

  def logout
    session[:user_emp_num] = nil
    flash[:notice] = "You have been logged out"
    redirect_to :action => "login"
  end

  def welcome
    @contact_detail = User.contact_detail(session[:user_emp_num])
		RAILS_DEFAULT_LOGGER.warn("[contact_detail] " + @contact_detail["FIRSTNAME"])
    @customer_detail = User.customer_detail(session[:customer_num])
		RAILS_DEFAULT_LOGGER.warn("[customer_detail] " + @customer_detail["NAME"])
  end
end
